Adding upstream version 0.6.2.
[debian/lxappearance.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = .
79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS COPYING ChangeLog NEWS README \
82 TODO compile depcomp install-sh missing
83 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
84 am__aclocal_m4_deps = $(top_srcdir)/intltool.m4 \
85 $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87 $(ACLOCAL_M4)
88 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89 configure.lineno config.status.lineno
90 mkinstalldirs = $(install_sh) -d
91 CONFIG_HEADER = config.h
92 CONFIG_CLEAN_FILES =
93 CONFIG_CLEAN_VPATH_FILES =
94 AM_V_P = $(am__v_P_@AM_V@)
95 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96 am__v_P_0 = false
97 am__v_P_1 = :
98 AM_V_GEN = $(am__v_GEN_@AM_V@)
99 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
100 am__v_GEN_0 = @echo " GEN " $@;
101 am__v_GEN_1 =
102 AM_V_at = $(am__v_at_@AM_V@)
103 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
104 am__v_at_0 = @
105 am__v_at_1 =
106 SOURCES =
107 DIST_SOURCES =
108 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
109 ctags-recursive dvi-recursive html-recursive info-recursive \
110 install-data-recursive install-dvi-recursive \
111 install-exec-recursive install-html-recursive \
112 install-info-recursive install-pdf-recursive \
113 install-ps-recursive install-recursive installcheck-recursive \
114 installdirs-recursive pdf-recursive ps-recursive \
115 tags-recursive uninstall-recursive
116 am__can_run_installinfo = \
117 case $$AM_UPDATE_INFO_DIR in \
118 n|no|NO) false;; \
119 *) (install-info --version) >/dev/null 2>&1;; \
120 esac
121 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
122 distclean-recursive maintainer-clean-recursive
123 am__recursive_targets = \
124 $(RECURSIVE_TARGETS) \
125 $(RECURSIVE_CLEAN_TARGETS) \
126 $(am__extra_recursive_targets)
127 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
128 cscope distdir dist dist-all distcheck
129 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
130 $(LISP)config.h.in
131 # Read a list of newline-separated strings from the standard input,
132 # and print each of them once, without duplicates. Input order is
133 # *not* preserved.
134 am__uniquify_input = $(AWK) '\
135 BEGIN { nonempty = 0; } \
136 { items[$$0] = 1; nonempty = 1; } \
137 END { if (nonempty) { for (i in items) print i; }; } \
138 '
139 # Make sure the list of sources is unique. This is necessary because,
140 # e.g., the same source file might be shared among _SOURCES variables
141 # for different programs/libraries.
142 am__define_uniq_tagged_files = \
143 list='$(am__tagged_files)'; \
144 unique=`for i in $$list; do \
145 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
146 done | $(am__uniquify_input)`
147 ETAGS = etags
148 CTAGS = ctags
149 CSCOPE = cscope
150 DIST_SUBDIRS = $(SUBDIRS)
151 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152 distdir = $(PACKAGE)-$(VERSION)
153 top_distdir = $(distdir)
154 am__remove_distdir = \
155 if test -d "$(distdir)"; then \
156 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
157 && rm -rf "$(distdir)" \
158 || { sleep 5 && rm -rf "$(distdir)"; }; \
159 else :; fi
160 am__post_remove_distdir = $(am__remove_distdir)
161 am__relativize = \
162 dir0=`pwd`; \
163 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164 sed_rest='s,^[^/]*/*,,'; \
165 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166 sed_butlast='s,/*[^/]*$$,,'; \
167 while test -n "$$dir1"; do \
168 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169 if test "$$first" != "."; then \
170 if test "$$first" = ".."; then \
171 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173 else \
174 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175 if test "$$first2" = "$$first"; then \
176 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177 else \
178 dir2="../$$dir2"; \
179 fi; \
180 dir0="$$dir0"/"$$first"; \
181 fi; \
182 fi; \
183 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184 done; \
185 reldir="$$dir2"
186 GZIP_ENV = --best
187 DIST_ARCHIVES = $(distdir).tar.xz
188 DIST_TARGETS = dist-xz
189 distuninstallcheck_listfiles = find . -type f -print
190 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
192 distcleancheck_listfiles = find . -type f -print
193 ACLOCAL = @ACLOCAL@
194 ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
195 ALL_LINGUAS = @ALL_LINGUAS@
196 AMTAR = @AMTAR@
197 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
198 AUTOCONF = @AUTOCONF@
199 AUTOHEADER = @AUTOHEADER@
200 AUTOMAKE = @AUTOMAKE@
201 AWK = @AWK@
202 CATALOGS = @CATALOGS@
203 CATOBJEXT = @CATOBJEXT@
204 CC = @CC@
205 CCDEPMODE = @CCDEPMODE@
206 CFLAGS = @CFLAGS@
207 CPP = @CPP@
208 CPPFLAGS = @CPPFLAGS@
209 CYGPATH_W = @CYGPATH_W@
210 DATADIRNAME = @DATADIRNAME@
211 DBUS_CFLAGS = @DBUS_CFLAGS@
212 DBUS_LIBS = @DBUS_LIBS@
213 DEFS = @DEFS@
214 DEPDIR = @DEPDIR@
215 ECHO_C = @ECHO_C@
216 ECHO_N = @ECHO_N@
217 ECHO_T = @ECHO_T@
218 EGREP = @EGREP@
219 EXEEXT = @EXEEXT@
220 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
221 GMODULE_CFLAGS = @GMODULE_CFLAGS@
222 GMODULE_LIBS = @GMODULE_LIBS@
223 GMOFILES = @GMOFILES@
224 GMSGFMT = @GMSGFMT@
225 GREP = @GREP@
226 GTK_CFLAGS = @GTK_CFLAGS@
227 GTK_LIBS = @GTK_LIBS@
228 INSTALL = @INSTALL@
229 INSTALL_DATA = @INSTALL_DATA@
230 INSTALL_PROGRAM = @INSTALL_PROGRAM@
231 INSTALL_SCRIPT = @INSTALL_SCRIPT@
232 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
233 INSTOBJEXT = @INSTOBJEXT@
234 INTLLIBS = @INTLLIBS@
235 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
236 INTLTOOL_MERGE = @INTLTOOL_MERGE@
237 INTLTOOL_PERL = @INTLTOOL_PERL@
238 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
239 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
240 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
241 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
242 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
243 LDFLAGS = @LDFLAGS@
244 LIBOBJS = @LIBOBJS@
245 LIBS = @LIBS@
246 LTLIBOBJS = @LTLIBOBJS@
247 MAKEINFO = @MAKEINFO@
248 MKDIR_P = @MKDIR_P@
249 MKINSTALLDIRS = @MKINSTALLDIRS@
250 MSGFMT = @MSGFMT@
251 MSGFMT_OPTS = @MSGFMT_OPTS@
252 MSGMERGE = @MSGMERGE@
253 OBJEXT = @OBJEXT@
254 PACKAGE = @PACKAGE@
255 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
256 PACKAGE_NAME = @PACKAGE_NAME@
257 PACKAGE_STRING = @PACKAGE_STRING@
258 PACKAGE_TARNAME = @PACKAGE_TARNAME@
259 PACKAGE_URL = @PACKAGE_URL@
260 PACKAGE_VERSION = @PACKAGE_VERSION@
261 PATH_SEPARATOR = @PATH_SEPARATOR@
262 PKG_CONFIG = @PKG_CONFIG@
263 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
264 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
265 POFILES = @POFILES@
266 POSUB = @POSUB@
267 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
268 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
269 SET_MAKE = @SET_MAKE@
270 SHELL = @SHELL@
271 STRIP = @STRIP@
272 USE_NLS = @USE_NLS@
273 VERSION = @VERSION@
274 XGETTEXT = @XGETTEXT@
275 XLIB_CFLAGS = @XLIB_CFLAGS@
276 XLIB_LIBS = @XLIB_LIBS@
277 XMLCATALOG = @XMLCATALOG@
278 XML_CATALOG_FILE = @XML_CATALOG_FILE@
279 XSLTPROC = @XSLTPROC@
280 abs_builddir = @abs_builddir@
281 abs_srcdir = @abs_srcdir@
282 abs_top_builddir = @abs_top_builddir@
283 abs_top_srcdir = @abs_top_srcdir@
284 ac_ct_CC = @ac_ct_CC@
285 am__include = @am__include@
286 am__leading_dot = @am__leading_dot@
287 am__quote = @am__quote@
288 am__tar = @am__tar@
289 am__untar = @am__untar@
290 bindir = @bindir@
291 build_alias = @build_alias@
292 builddir = @builddir@
293 datadir = @datadir@
294 datarootdir = @datarootdir@
295 docdir = @docdir@
296 dvidir = @dvidir@
297 exec_prefix = @exec_prefix@
298 gtk_modules = @gtk_modules@
299 host_alias = @host_alias@
300 htmldir = @htmldir@
301 includedir = @includedir@
302 infodir = @infodir@
303 install_sh = @install_sh@
304 intltool__v_merge_options_ = @intltool__v_merge_options_@
305 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
306 libdir = @libdir@
307 libexecdir = @libexecdir@
308 localedir = @localedir@
309 localstatedir = @localstatedir@
310 mandir = @mandir@
311 mkdir_p = @mkdir_p@
312 oldincludedir = @oldincludedir@
313 pdfdir = @pdfdir@
314 prefix = @prefix@
315 program_transform_name = @program_transform_name@
316 psdir = @psdir@
317 sbindir = @sbindir@
318 sharedstatedir = @sharedstatedir@
319 srcdir = @srcdir@
320 sysconfdir = @sysconfdir@
321 target_alias = @target_alias@
322 top_build_prefix = @top_build_prefix@
323 top_builddir = @top_builddir@
324 top_srcdir = @top_srcdir@
325 ACLOCAL_AMFLAGS = -I .
326 NULL =
327 SUBDIRS = \
328 data \
329 man \
330 po \
331 src
332
333 EXTRA_DIST = \
334 $(desktop_DATA) \
335 $(NULL)
336
337 all: config.h
338 $(MAKE) $(AM_MAKEFLAGS) all-recursive
339
340 .SUFFIXES:
341 am--refresh: Makefile
342 @:
343 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
344 @for dep in $?; do \
345 case '$(am__configure_deps)' in \
346 *$$dep*) \
347 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
348 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
349 && exit 0; \
350 exit 1;; \
351 esac; \
352 done; \
353 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
354 $(am__cd) $(top_srcdir) && \
355 $(AUTOMAKE) --foreign Makefile
356 .PRECIOUS: Makefile
357 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
358 @case '$?' in \
359 *config.status*) \
360 echo ' $(SHELL) ./config.status'; \
361 $(SHELL) ./config.status;; \
362 *) \
363 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
364 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
365 esac;
366
367 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
368 $(SHELL) ./config.status --recheck
369
370 $(top_srcdir)/configure: $(am__configure_deps)
371 $(am__cd) $(srcdir) && $(AUTOCONF)
372 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
373 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
374 $(am__aclocal_m4_deps):
375
376 config.h: stamp-h1
377 @test -f $@ || rm -f stamp-h1
378 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
379
380 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
381 @rm -f stamp-h1
382 cd $(top_builddir) && $(SHELL) ./config.status config.h
383 $(srcdir)/config.h.in: $(am__configure_deps)
384 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
385 rm -f stamp-h1
386 touch $@
387
388 distclean-hdr:
389 -rm -f config.h stamp-h1
390
391 # This directory's subdirectories are mostly independent; you can cd
392 # into them and run 'make' without going through this Makefile.
393 # To change the values of 'make' variables: instead of editing Makefiles,
394 # (1) if the variable is set in 'config.status', edit 'config.status'
395 # (which will cause the Makefiles to be regenerated when you run 'make');
396 # (2) otherwise, pass the desired values on the 'make' command line.
397 $(am__recursive_targets):
398 @fail=; \
399 if $(am__make_keepgoing); then \
400 failcom='fail=yes'; \
401 else \
402 failcom='exit 1'; \
403 fi; \
404 dot_seen=no; \
405 target=`echo $@ | sed s/-recursive//`; \
406 case "$@" in \
407 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
408 *) list='$(SUBDIRS)' ;; \
409 esac; \
410 for subdir in $$list; do \
411 echo "Making $$target in $$subdir"; \
412 if test "$$subdir" = "."; then \
413 dot_seen=yes; \
414 local_target="$$target-am"; \
415 else \
416 local_target="$$target"; \
417 fi; \
418 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
419 || eval $$failcom; \
420 done; \
421 if test "$$dot_seen" = "no"; then \
422 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
423 fi; test -z "$$fail"
424
425 ID: $(am__tagged_files)
426 $(am__define_uniq_tagged_files); mkid -fID $$unique
427 tags: tags-recursive
428 TAGS: tags
429
430 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
431 set x; \
432 here=`pwd`; \
433 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
434 include_option=--etags-include; \
435 empty_fix=.; \
436 else \
437 include_option=--include; \
438 empty_fix=; \
439 fi; \
440 list='$(SUBDIRS)'; for subdir in $$list; do \
441 if test "$$subdir" = .; then :; else \
442 test ! -f $$subdir/TAGS || \
443 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
444 fi; \
445 done; \
446 $(am__define_uniq_tagged_files); \
447 shift; \
448 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
449 test -n "$$unique" || unique=$$empty_fix; \
450 if test $$# -gt 0; then \
451 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
452 "$$@" $$unique; \
453 else \
454 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
455 $$unique; \
456 fi; \
457 fi
458 ctags: ctags-recursive
459
460 CTAGS: ctags
461 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
462 $(am__define_uniq_tagged_files); \
463 test -z "$(CTAGS_ARGS)$$unique" \
464 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
465 $$unique
466
467 GTAGS:
468 here=`$(am__cd) $(top_builddir) && pwd` \
469 && $(am__cd) $(top_srcdir) \
470 && gtags -i $(GTAGS_ARGS) "$$here"
471 cscope: cscope.files
472 test ! -s cscope.files \
473 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
474 clean-cscope:
475 -rm -f cscope.files
476 cscope.files: clean-cscope cscopelist
477 cscopelist: cscopelist-recursive
478
479 cscopelist-am: $(am__tagged_files)
480 list='$(am__tagged_files)'; \
481 case "$(srcdir)" in \
482 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
483 *) sdir=$(subdir)/$(srcdir) ;; \
484 esac; \
485 for i in $$list; do \
486 if test -f "$$i"; then \
487 echo "$(subdir)/$$i"; \
488 else \
489 echo "$$sdir/$$i"; \
490 fi; \
491 done >> $(top_builddir)/cscope.files
492
493 distclean-tags:
494 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
495 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
496
497 distdir: $(DISTFILES)
498 $(am__remove_distdir)
499 test -d "$(distdir)" || mkdir "$(distdir)"
500 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
501 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
502 list='$(DISTFILES)'; \
503 dist_files=`for file in $$list; do echo $$file; done | \
504 sed -e "s|^$$srcdirstrip/||;t" \
505 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
506 case $$dist_files in \
507 */*) $(MKDIR_P) `echo "$$dist_files" | \
508 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
509 sort -u` ;; \
510 esac; \
511 for file in $$dist_files; do \
512 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
513 if test -d $$d/$$file; then \
514 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
515 if test -d "$(distdir)/$$file"; then \
516 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
517 fi; \
518 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
519 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
520 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
521 fi; \
522 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
523 else \
524 test -f "$(distdir)/$$file" \
525 || cp -p $$d/$$file "$(distdir)/$$file" \
526 || exit 1; \
527 fi; \
528 done
529 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
530 if test "$$subdir" = .; then :; else \
531 $(am__make_dryrun) \
532 || test -d "$(distdir)/$$subdir" \
533 || $(MKDIR_P) "$(distdir)/$$subdir" \
534 || exit 1; \
535 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
536 $(am__relativize); \
537 new_distdir=$$reldir; \
538 dir1=$$subdir; dir2="$(top_distdir)"; \
539 $(am__relativize); \
540 new_top_distdir=$$reldir; \
541 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
542 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
543 ($(am__cd) $$subdir && \
544 $(MAKE) $(AM_MAKEFLAGS) \
545 top_distdir="$$new_top_distdir" \
546 distdir="$$new_distdir" \
547 am__remove_distdir=: \
548 am__skip_length_check=: \
549 am__skip_mode_fix=: \
550 distdir) \
551 || exit 1; \
552 fi; \
553 done
554 -test -n "$(am__skip_mode_fix)" \
555 || find "$(distdir)" -type d ! -perm -755 \
556 -exec chmod u+rwx,go+rx {} \; -o \
557 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
558 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
559 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
560 || chmod -R a+r "$(distdir)"
561 dist-gzip: distdir
562 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
563 $(am__post_remove_distdir)
564
565 dist-bzip2: distdir
566 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
567 $(am__post_remove_distdir)
568
569 dist-lzip: distdir
570 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
571 $(am__post_remove_distdir)
572 dist-xz: distdir
573 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
574 $(am__post_remove_distdir)
575
576 dist-tarZ: distdir
577 @echo WARNING: "Support for shar distribution archives is" \
578 "deprecated." >&2
579 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
580 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
581 $(am__post_remove_distdir)
582
583 dist-shar: distdir
584 @echo WARNING: "Support for distribution archives compressed with" \
585 "legacy program 'compress' is deprecated." >&2
586 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
587 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
588 $(am__post_remove_distdir)
589
590 dist-zip: distdir
591 -rm -f $(distdir).zip
592 zip -rq $(distdir).zip $(distdir)
593 $(am__post_remove_distdir)
594
595 dist dist-all:
596 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
597 $(am__post_remove_distdir)
598
599 # This target untars the dist file and tries a VPATH configuration. Then
600 # it guarantees that the distribution is self-contained by making another
601 # tarfile.
602 distcheck: dist
603 case '$(DIST_ARCHIVES)' in \
604 *.tar.gz*) \
605 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
606 *.tar.bz2*) \
607 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
608 *.tar.lz*) \
609 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
610 *.tar.xz*) \
611 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
612 *.tar.Z*) \
613 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
614 *.shar.gz*) \
615 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
616 *.zip*) \
617 unzip $(distdir).zip ;;\
618 esac
619 chmod -R a-w $(distdir)
620 chmod u+w $(distdir)
621 mkdir $(distdir)/_build $(distdir)/_inst
622 chmod a-w $(distdir)
623 test -d $(distdir)/_build || exit 0; \
624 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
625 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
626 && am__cwd=`pwd` \
627 && $(am__cd) $(distdir)/_build \
628 && ../configure \
629 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
630 $(DISTCHECK_CONFIGURE_FLAGS) \
631 --srcdir=.. --prefix="$$dc_install_base" \
632 && $(MAKE) $(AM_MAKEFLAGS) \
633 && $(MAKE) $(AM_MAKEFLAGS) dvi \
634 && $(MAKE) $(AM_MAKEFLAGS) check \
635 && $(MAKE) $(AM_MAKEFLAGS) install \
636 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
637 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
638 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
639 distuninstallcheck \
640 && chmod -R a-w "$$dc_install_base" \
641 && ({ \
642 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
643 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
644 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
645 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
646 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
647 } || { rm -rf "$$dc_destdir"; exit 1; }) \
648 && rm -rf "$$dc_destdir" \
649 && $(MAKE) $(AM_MAKEFLAGS) dist \
650 && rm -rf $(DIST_ARCHIVES) \
651 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
652 && cd "$$am__cwd" \
653 || exit 1
654 $(am__post_remove_distdir)
655 @(echo "$(distdir) archives ready for distribution: "; \
656 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
657 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
658 distuninstallcheck:
659 @test -n '$(distuninstallcheck_dir)' || { \
660 echo 'ERROR: trying to run $@ with an empty' \
661 '$$(distuninstallcheck_dir)' >&2; \
662 exit 1; \
663 }; \
664 $(am__cd) '$(distuninstallcheck_dir)' || { \
665 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
666 exit 1; \
667 }; \
668 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
669 || { echo "ERROR: files left after uninstall:" ; \
670 if test -n "$(DESTDIR)"; then \
671 echo " (check DESTDIR support)"; \
672 fi ; \
673 $(distuninstallcheck_listfiles) ; \
674 exit 1; } >&2
675 distcleancheck: distclean
676 @if test '$(srcdir)' = . ; then \
677 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
678 exit 1 ; \
679 fi
680 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
681 || { echo "ERROR: files left in build directory after distclean:" ; \
682 $(distcleancheck_listfiles) ; \
683 exit 1; } >&2
684 check-am: all-am
685 check: check-recursive
686 all-am: Makefile config.h
687 installdirs: installdirs-recursive
688 installdirs-am:
689 install: install-recursive
690 install-exec: install-exec-recursive
691 install-data: install-data-recursive
692 uninstall: uninstall-recursive
693
694 install-am: all-am
695 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
696
697 installcheck: installcheck-recursive
698 install-strip:
699 if test -z '$(STRIP)'; then \
700 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
701 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
702 install; \
703 else \
704 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
705 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
706 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
707 fi
708 mostlyclean-generic:
709
710 clean-generic:
711
712 distclean-generic:
713 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
714 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
715
716 maintainer-clean-generic:
717 @echo "This command is intended for maintainers to use"
718 @echo "it deletes files that may require special tools to rebuild."
719 clean: clean-recursive
720
721 clean-am: clean-generic mostlyclean-am
722
723 distclean: distclean-recursive
724 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
725 -rm -f Makefile
726 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
727
728 dvi: dvi-recursive
729
730 dvi-am:
731
732 html: html-recursive
733
734 html-am:
735
736 info: info-recursive
737
738 info-am:
739
740 install-data-am:
741
742 install-dvi: install-dvi-recursive
743
744 install-dvi-am:
745
746 install-exec-am:
747
748 install-html: install-html-recursive
749
750 install-html-am:
751
752 install-info: install-info-recursive
753
754 install-info-am:
755
756 install-man:
757
758 install-pdf: install-pdf-recursive
759
760 install-pdf-am:
761
762 install-ps: install-ps-recursive
763
764 install-ps-am:
765
766 installcheck-am:
767
768 maintainer-clean: maintainer-clean-recursive
769 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
770 -rm -rf $(top_srcdir)/autom4te.cache
771 -rm -f Makefile
772 maintainer-clean-am: distclean-am maintainer-clean-generic
773
774 mostlyclean: mostlyclean-recursive
775
776 mostlyclean-am: mostlyclean-generic
777
778 pdf: pdf-recursive
779
780 pdf-am:
781
782 ps: ps-recursive
783
784 ps-am:
785
786 uninstall-am:
787
788 .MAKE: $(am__recursive_targets) all install-am install-strip
789
790 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
791 am--refresh check check-am clean clean-cscope clean-generic \
792 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
793 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
794 distcheck distclean distclean-generic distclean-hdr \
795 distclean-tags distcleancheck distdir distuninstallcheck dvi \
796 dvi-am html html-am info info-am install install-am \
797 install-data install-data-am install-dvi install-dvi-am \
798 install-exec install-exec-am install-html install-html-am \
799 install-info install-info-am install-man install-pdf \
800 install-pdf-am install-ps install-ps-am install-strip \
801 installcheck installcheck-am installdirs installdirs-am \
802 maintainer-clean maintainer-clean-generic mostlyclean \
803 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
804 uninstall-am
805
806
807 # Tell versions [3.59,3.63) of GNU make to not export all variables.
808 # Otherwise a system limit (for SysV at least) may be exceeded.
809 .NOEXPORT: